<template>
	<view class="content">
		<view class="top-content">
			<view class="status_bar" :style="{height: statusBarHeight}"></view>
			<!-- 这里是状态栏 -->
			<view class="top-title">健康产品</view>
			<!-- 搜索框 -->
			<view class="search-cont">
				<view class="inner">
					<image class="icon-search" src="https://kntobs.jnmyunl.com/shop/images/search.png" mode=""></image>
					<input type="text" disabled   confirm-type="搜索" @click="toSearch" placeholder="输入产品名称" placeholder-style="font-size:28rpx;color:#BBBBBB;font-family: PingFang SC;" />
				</view>
			</view>
		</view>
		<view  :style="{height: divHeight}"   class="medic-box">
			<view class="cate-list">
				<view 
					v-for="(item,index) in cates" 
					:key="index" 
					:class="cateSelect == item.cateId?'item active':'item'" 
					@click="choseCate(item)"
				>{{item.cateName }}</view>
			</view>
			<view class="medic">
				<!-- 轮播图 -->
				<view class="banner-box">
					<swiper
						class="swiper" 
						:indicator-dots="true" 
						:circular="true" 
						:autoplay="true" 
						:interval="3000" 
						:duration="1000"
						indicator-color="rgba(255, 255, 255, 0.6)"
						indicator-active-color="#ffffff">
						<swiper-item class="swiper-item" v-for="(item,index) in advs" :key="index" @click="handleAdvClick(item)">
							<image :src="item.imageUrl" mode=""></image>
						</swiper-item>
					</swiper>
				</view>
				<!-- 药品列表 -->
				<view class="medic-list">
						<!-- <view class="item" v-for="(item,index) in subCates" :key="index">
							<view class="title">{{item.cateName}}</view> -->
							<view class="inner-list">
								<view class="definite"v-for="(subItem,index) in subCates"   @click="showProductList(subItem)">
									<view class="img-box">
										<image :src="subItem.pic" mode="aspectFit"></image>
									</view>
									<view class="name ellipsis">{{subItem.cateName}}</view>
								</view>
							</view>
					<!-- 	</view> -->
				</view>
			</view>
		</view>
		<!-- <tabbar :actindex="3"></tabbar> -->
	</view>
</template>

<script>
	import {getProductCate} from '@/api/product'
	import {getAdv} from '@/api/adv'
	export default {
		data() {
			return {
				divHeight:'0px',
				allCates:[],
				cates:[],
				subCates:[],
				// 状态栏的高度
				statusBarHeight: uni.getStorageSync('menuInfo').statusBarHeight,
				// 选中药品分类
				cateSelect: 0,
				// 轮播图
				advs: [],
				isshow:false
			};
		},
		onLoad() {
			uni.showShareMenu({
				withShareTicket:true,
				//小程序的原生菜单中显示分享按钮，才能够让发送给朋友与分享到朋友圈两个按钮可以点击
				menus:["shareAppMessage","shareTimeline"] //不设置默认发送给朋友
			})
			this.getProductCate();
		},
		onShow() {
			var that=this;
			setTimeout(function(){
				let info = uni.createSelectorQuery().select(".top-content");
		　　　  info.boundingClientRect(function(data) { //data - 各种参数
		// 　　　  　 	console.log(data.height)  // 获取元素宽度
					// console.log(uni.upx2px(10)) 
					that.divHeight="calc(100% - "+data.height+"px)"
		　　    }).exec()
			},500);
			this.getAdv();
		},
		methods:{
			divHeight1(){
			   return 'height:calc(100% - ${this.top}px);'
			},
			toSearch() {
				uni.navigateTo({
					url: '../home/productSearch'
				})
			},
			handleAdvClick(item){
				console.log(item);
				if(item.showType==1){
					uni.setStorageSync('url',item.advUrl);
					uni.navigateTo({
						url:"../home/h5"
					})
				}
				else if(item.showType==2){
					 uni.navigateTo({
					 	url:item.advUrl
					 })
				}
				else if(item.showType==3){
					 uni.setStorageSync('content',item.content);
					 uni.navigateTo({
					 	url:"../home/content"
					 })
				}
			},
			getAdv(){
				let data = {advType:2};
				getAdv(data).then(
					res => {
						if(res.code==200){
							this.advs=res.data;
						}
					},
					rej => {}
				);
			},
			getProductCate(){
				let data = {};
				getProductCate(data).then(
					res => {
						if(res.code==200){
							this.allCates=res.data;
							this.cates = this.allCates.filter(function (item) {
							     return item.pid==0
							});
							if(this.cates!=null&&this.cates.length>0){
								this.cateSelect=this.cates[0].cateId;
								this.getSubCate()
							}
						}else{
							uni.showToast({
								icon:'none',
								title: "请求失败",
							});
						}
					},
					rej => {}
				);
			},
			// 药品分类选择
			choseCate(item) {
				this.cateSelect = item.cateId;
				this.getSubCate()
				
			},
			getSubCate(){
				var that=this;
				this.subCates = this.allCates.filter(function (item) {
					// let subList = that.allCates.filter(child => {
					// 	//返回每一项的子级数组
					// 	return child.pid === item.cateId
					// });
					// subList.length > 0 ? item.children = subList : [];
				    return item.pid==that.cateSelect
				});
				 
				console.log(this.subCates);
			},
			// 查看药品详情
			showProductList(item) {
				uni.navigateTo({
					url: '/pages_shopping/shopping/productList?cateId='+item.cateId+"&pid="+item.pid
				})
			},
			goSearch(e) {
				if(e.detail.value!=null&&e.detail.value!=""){
					this.utils.addHisSearch(e.detail.value);
				}
				uni.navigateTo({
					url: '../home/productList?searchValue=' + e.detail.value
				})
			}
		}
	}
</script>

<style lang="scss">
	page{
		height: 100%;
		background-color: #fff;
	}
	
	.content{
		height: 100%;
		display: flex;
		flex-direction: column;
		.top-content{
			width: 100%;
			z-index: 10;
			.top-title{
				height: 88upx;
				line-height: 88upx;
				font-size: 42upx;
				font-family: Source Han Sans CN;
				font-weight: bold;
				color: #222222;
				padding-left: 41upx;
				background-color: #FFFFFF;
			}
			.search-cont{
				padding: 16upx 30upx;
				background-color: #FFFFFF;
				.inner{
					box-sizing: border-box;
					width: 100%;
					height: 72upx;
					background: #F7F7F7;
					border-radius: 36upx;
					display: flex;
					align-items: center;
					padding: 0 30upx;
					.icon-search{
						width: 28upx;
						height: 28upx;
						margin-right: 20upx;
					}
					input{
						height: 60upx;
						line-height: 60upx;
						flex: 1;
					}
				}
			}
		}
		.medic-box{
			display: flex;
			.cate-list{
				box-sizing: border-box;
				width: 200upx;
				background: #F2F5F9;
				display: flex;
				flex-direction: column;
				padding: 20upx 0;
				overflow-y: scroll;
				.item{
					height: 100upx;
					line-height: 100upx;
					padding-left: 30upx;
					font-size: 28upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #333333;
					position: relative;
					&.active{
						color: #2BC7B9;
						&::after{
							content: "";
							width: 8upx;
							height: 50upx;
							background: #2BC7B9;
							position: absolute;
							top: 25upx;
							left: 0;
						}
					}
				}
			}
			.medic{
				box-sizing: border-box;
				width: calc(100% - 200upx);
				height: 100%;
				padding: 0 30upx;
				.banner-box{
					margin-top: 30rpx;
					width: 100%;
					height: 160upx;
					border-radius: 10upx;
					overflow: hidden;
					.swiper,
					.swiper-item,
					.swiper-item image{
						width: 100%;
						height: 100%;
					}
				}
				.medic-list{
					box-sizing: border-box;
					padding: 30upx 0;
					overflow-y: auto;
					height: calc(100% - 220upx);
					position: relative;
					// .item{
					// 	.title{
					// 		font-size: 28upx;
					// 		font-family: PingFang SC;
					// 		font-weight: bold;
					// 		color: #333333;
					// 		padding-top: 20upx;
					// 		margin-bottom: 30upx;
					// 	}
						
					// }
					.inner-list{
						display: flex;
						flex-wrap: wrap;
						.definite{
							width: calc(33% - 20upx);
							margin-right: 30upx;
							margin-bottom: 30upx;
							.img-box{
								width: 100%;
								height: 144upx;
								background: #F5F5F5;
								border-radius: 8upx;
								overflow: hidden;
								display: flex;
								align-items: center;
								image{	
									max-width: 100%;
								}
							}
							.name{
								width: 100%;
								margin-top: 20upx;
								font-size: 24upx;
								font-family: PingFang SC;
								font-weight: 500;
								color: #666666;
								text-align: center;
							}
							&:nth-child(3n) {
								margin-right: 0;
							}
						}
					}
				}
			}
		}
		
	}
	
</style>
